Show / Hide Table of Contents

# Class JsonRpcMessageSerializer

Serializes messages in the JSON RPC format. Used primarily for language servers.

##### Inheritance

System.Object
JsonRpcMessageSerializer

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol.Serializers

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class JsonRpcMessageSerializer : IMessageSerializer

### Methods

| Improve this Doc View Source

#### DeserializeMessage(JObject)

##### Declaration

    public Message DeserializeMessage(JObject messageJson)

##### Parameters

Type | Name | Description
--- | --- | ---
Newtonsoft.Json.Linq.JObject | messageJson |

##### Returns

Type | Description
--- | ---
Message |

##### Implements

IMessageSerializer.DeserializeMessage(JObject)
| Improve this Doc View Source

#### SerializeMessage(Message)

##### Declaration

    public JObject SerializeMessage(Message message)

##### Parameters

Type | Name | Description
--- | --- | ---
Message | message |

##### Returns

Type | Description
--- | ---
Newtonsoft.Json.Linq.JObject |

##### Implements

IMessageSerializer.SerializeMessage(Message)